ci-build: Update required MSYS packages

The older versions we were previously building against are no longer
available on mirrors.

Based on changes proposed in !189 by Arnout Engelen, and the package
list gathered by Ralf Habacker in #318.

Resolves: #318
Signed-off-by: Simon McVittie <smcv@collabora.com>
11 jobs for wip/update-msys-packages in 10 minutes and 47 seconds (queued for 2 seconds)
Status Job ID Name Coverage
  Build
passed #5447175
build:cmake

00:04:27

passed #5447172
build:debug

00:09:53

manual #5447177
allowed to fail manual
build:i686-w64-mingw32-cmake
passed #5447176
build:i686-w64-mingw32-debug

00:08:08

manual #5447174
allowed to fail manual
build:legacy
passed #5447171
build:production

00:06:54

manual #5447173
allowed to fail manual
build:reduced
manual #5447180
allowed to fail manual
build:stretch
passed #5447178
build:x86_64-w64-mingw32

00:04:46

passed #5447179
build:x86_64-w64-mingw32-cmake-debug

00:10:46

manual #5447181
allowed to fail manual
build:xenial